# Le Sserrafim

Members:

- 6410545541 Pinpimarn Pinpisit
- 6410546131 Jiratchaya Phinyodom
- 6410546203  Preawpan Thamapipol
- 6410546165 Thanadol Udomsirinanchai

Software and Knowledge Engineering, Kasetsart University

# Smart Pet Feeder Project

## Project Overview
The Smart Pet Feeder project is an innovative solution designed to integrate technology into pet care. With the rise of smart home devices, there's a growing interest in applying these advancements to pet care. Our daily environment, including air quality, temperature, and humidity, significantly impacts our pets' health and behavior.

However, monitoring these factors continuously can be challenging for pet owners. This project addresses this gap by using a combination of sensors and API data to track environmental conditions and pet feeding patterns. By leveraging technology, the Smart Pet Feeder aims to provide a comprehensive understanding of how these factors affect pets, leading to more informed decisions regarding their care and well-being.

The motivation behind the Smart Pet Feeder project stems from the desire to enhance pet care using technology. Pets are beloved family members, and their health and happiness are paramount to their owners. However, busy lifestyles can make it difficult to monitor and adjust their environment constantly. 

This project is driven by the idea that a better understanding of environmental factors and their impact on pets can lead to improved care. By offering insights into how air quality, temperature, humidity, and food conditions affect pets' eating habits and health, the Smart Pet Feeder empowers pet owners to make more informed decisions. This project aims to bridge the gap between technology and pet care, ultimately improving the quality of life for pets and their owners.

## Required libraries and tools (e.g., specific version of Python, etc)
All requirements are mentioned in this markdown, requirements.txt (backend&hardware) and package.json (frontend)


# Instructions for building and running

## Swagger generated server - Overview
This server was generated by the [swagger-codegen](https://github.com/swagger-api/swagger-codegen) project. By using the
[OpenAPI-Spec](https://github.com/swagger-api/swagger-core/wiki) from a remote server, you can easily generate a server stub.  This
is an example of building a swagger-enabled Flask server.

This example uses the [Connexion](https://github.com/zalando/connexion) library on top of Flask.

## Requirements
Python 3.5.2+

## Usage
To run the server, please execute the following from the root directory:

```
python3 -m venv env
. env/bin/activate # macOS and Linux
env\Scripts\activate.bat # Windows
```
then, Generate server stubs for python-flask from openapi/rain-
api.yaml with [Swagger Editor](https://editor.swagger.io) or

OpenAPI Generator and Put them inside stub folder

```
pip install -r requirements.txt
python -m swagger_server
python app.py
```

In another terminal,
```
openapi-to-graphql openapi/pet-feeder-api.yaml
```

and open your browser to here:

```
http://localhost:8080/pet-feeder-api/v3/ui/
```

Your Swagger definition lives here:

```
http://localhost:8080/pet-feeder-api/v3/swagger.json
```

To launch the integration tests, use tox:
```
sudo pip install tox
tox
```

## Running with Docker

To run the server on a Docker container, please execute the following from the root directory:

```bash
# building the image
docker build -t swagger_server .

# starting up a container
docker run -p 8080:8080 swagger_server
```
